## visad
Class VisADAppearance

    java.lang.Object
      visad.VisADSceneGraphObject
          visad.VisADAppearance

All Implemented Interfaces:
  Serializable

public class VisADAppearance
extends VisADSceneGraphObject

VisADAppearance stands in for j3d.Switch and is Serializable.

See Also:
  Serialized Form

Field Summary
`float` `alpha`
`VisADGeometryArray` `array`
`float` `blue`
`boolean` `color_flag`
`float` `green`
`Image` `image`
`int` `image_height`
`int[]` `image_pixels`
`int` `image_type`
`int` `image_width`
`int` `lineStyle`
`float` `lineWidth`
`float` `pointSize`
`float` `red`
`int` `texture_height`
`int` `texture_width`

Fields inherited from class visad.VisADSceneGraphObject
`parent`

Constructor Summary
`VisADAppearance()`

Methods inherited from class visad.VisADSceneGraphObject
`detach`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### array

    public VisADGeometryArray array

### image

    public transient Image image

### color_flag

    public boolean color_flag

### red

    public float red

### green

    public float green

### blue

    public float blue

### alpha

    public float alpha

### lineWidth

    public float lineWidth

### pointSize

    public float pointSize

### lineStyle

    public int lineStyle

### image_type

    public int image_type

### image_width

    public int image_width

### image_height

    public int image_height

### image_pixels

    public int[] image_pixels

### texture_width

    public int texture_width

### texture_height

    public int texture_height

Constructor Detail

### VisADAppearance

    public VisADAppearance()